## Reproducing the results

The plots presented in the paper for this value of $\omega$ can be obtained by running the python script "postprocessing_all/plot.py". The corresponding data can be found in the folders "Analysis_*"

To reproduce this data you can follow the procedure outlined below. Please make sure first, that you have provided the correct paths in "paths.txt" and applied the modifications to the source code as described in the "README" in the base directory.

- for **LDA**: 

        cd Analysis_LDA
        bash run_all.sh
        cd postprocessing
        bash run_all.sh
        # -> follow the instructions printed to the screen 
        bash run_all.sh

- for **PBE**: 
  
        cd Analysis_PBE
        bash run_all.sh
        cd postprocessing
        bash run_all.sh

- for **PBE-Ion**: 
  
        cd Analysis_PBE_Ion
        bash run_all.sh

- for **PBE-DSCF-HOMO**: 
  
        cd Analysis_PBE_DSCF_HOMO
        bash run_all.sh

- for **PBE-DSCF-LUMO**: 
  
        cd Analysis_PBE_DSCF_LUMO
        bash run_all.sh

- for **PBE-DSCF-LUMO+1**: 
  
        cd Analysis_PBE_DSCF_LUMO_plus_1
        bash run_all.sh

- for **KI**: 

        cd Analysis_KI
        bash run_all.sh
        cd postprocessing
        bash run_all.sh

- for **KIPZ** and **PZ**: 
  
        cd Analysis_KIPZ
        bash run_all.sh
        cd postprocessing
        bash run_all.sh
        cd postprocessing_pz
        bash run_all.sh


Warning: the last two blocks are more computationally expensive.

- for **KI-LUMO**: 
  
        cd Analysis_KI_LUMO
        bash run_all.sh

- for **KIPZ-LUMO**: 
 
        cd Analysis_KIPZ_LUMO
        bash run_all.sh


To **plot** the results:

    cd postprocessing_all
    # modify the parameters in plot.py to your needs
    python3 plot.py


