import numpy as np
import matplotlib.pyplot as plt


total_energies = np.loadtxt("results/total_energies.out")
xc_energies = np.loadtxt("results/xc_energies.out")
ecuts = np.loadtxt("results/parameters.out")[:,1]



plt.semilogy(ecuts[:-1], np.abs(total_energies[:-1]-np.ones(len(total_energies)-1)*total_energies[-1]), "-o")
plt.xlabel("ecut")
plt.ylabel(f"absolute error of the total energy compared to the total energy obtained with ecut={ecuts[-1]} Ry")
plt.grid(True)
plt.show()

plt.semilogy(ecuts[:-1], np.abs(xc_energies[:-1]-np.ones(len(xc_energies)-1)*xc_energies[-1]), "-o")
plt.xlabel("ecut")
plt.ylabel(f"absolute error of the xc energy compared to the xc energy obtained with ecut={ecuts[-1]} Ry")
plt.grid(True)
plt.show()