#!/bin/bash
#SBATCH --job-name=kipz_8_empty_bands
#SBATCH --get-user-env
#SBATCH --time=48:00:00 
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=48
#SBATCH --cpus-per-task=2
#SBATCH --partition=workstations
#SBATCH --account=workstations
#SBATCH --nodelist=theossrv12
#SBATCH --mail-type=ALL
#SBATCH --mail-user=schuyann@ethz.ch
#SBATCH --mem=180000

export OMP_NUM_THREADS=1
export PARA_PREFIX="srun -n 48"
export PARA_POSTFIX="-npool 8"

num=1
seed="hookium"
dir="Analysis_KIPZ_LUMO_new_try_8_empty_bands"

SRCDIR="$HOME/$dir"
WORKDIR="$SCRATCH/$dir"


mkdir -p ${WORKDIR}

INPUT_FILES=(run.sh ${seed}.json ${seed}.upf)

for file in ${INPUT_FILES[*]}; do
   cp ${SRCDIR}/${file} $WORKDIR
done

cd $WORKDIR


module load intel intel-mkl intel-mpi
source ~/venvs/koopmans-old/bin/activate

echo STARTING AT `date`
koopmans ${seed}.json > ${seed}.log 2> ${seed}.err
echo FINISHED AT `date`