import numpy as np
import matplotlib.pyplot as plt


total_energies = np.loadtxt("results_ecut_final_final/total_energies.out")
xc_energies = np.loadtxt("results_ecut_final_final/xc_energies.out")
cell_sizes = np.loadtxt("results_ecut_final_final/parameters.out")[:,1]



plt.semilogy(cell_sizes[:-1], np.abs(total_energies[:-1]-np.ones(len(total_energies)-1)*total_energies[-1]), "-o")
plt.xlabel("ecut")
plt.ylabel(f"absolute error of the total energy compared to the total energy obtained with ecut={cell_sizes[-1]} Ry")
plt.grid(True)
plt.show()

plt.semilogy(cell_sizes[:-1], np.abs(xc_energies[:-1]-np.ones(len(xc_energies)-1)*xc_energies[-1]), "-o")
plt.xlabel("ecut")
plt.ylabel(f"absolute error of the xc energy compared to the xc energy obtained with ecut={cell_sizes[-1]} Ry")
plt.grid(True)
plt.show()